body {
    background-color: #f0f0f2;
    font-family: sans-serif;
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    margin: 0;
}

main {
    max-width: 600px;
    padding: 2em;
    background-color: white;
    box-shadow: 2px 3px 4px 2px darkgrey;
}

@media (min-width: 600px) {
    main {
        margin: 0;
    }
}

h1 {
    margin: 0;
    text-align: center;
}

pre {
    background-color: #dbe4ff;
    padding: 1em;
    font-size: larger;
    box-shadow: inset 2px 2px 2px darkgrey;
    overflow-x: auto;
}

.callout {
    padding: 0.5em;
    background-color: #edf2ff;
    border-left: 4px solid #bac8ff;
    box-shadow: 2px 2px 2px darkgrey;
}

.link-button {
    display: block;
    text-decoration: none;
    color: black;
    background-color: #bac8ff;
    transition: background-color 0.2s;
    width: fit-content;
    margin: 2em auto 1em;
    padding: 1em;
    box-shadow: 2px 3px 4px 2px darkgrey;
}

.link-button:hover {
    background-color: #91a7ff;
    transition: background-color 0.2s;
}

.link-button:active {
    position: relative;
    top: 1px;
    left: 1px;
    box-shadow: 1px 2px 3px darkgrey;
}

.logo {
    margin: 2em auto;
    width: 100%;
    max-width: 520px;
    display: block;
}

form {
    display: flex;
    justify-content: space-between;
    margin: 0.3em 0 1em;
    background-color: #bac8ff;
    padding: 1em;
    box-shadow: inset 2px 2px 2px darkgrey;
}
